    NAME
         sgepasswd - Modify the Sun Grid Engine password file of  Sun
         Grid Engine

    SYNTAX
         sgepasswd [[ -D domain ] -d user ]

         sgepasswd [ -D domain ] [ user ]

    DESCRIPTION
         sgepasswd  modifies  the  Sun  Grid  Engine  password   file
         sgepasswd(5).

         This file contains a list of  usernames  and  their  windows
         password in encrypted form. sge_execd(8) and sge_shepherd(8)
         on hosts running Microsoft Windows as operating systems  use
         this information to start jobs for a certain user.

         Each user can use the sgepasswd application  to  add  a  new
         entry  for  the  own  user  account.  It is also possible to
         change the stored password with sgepasswd as far as the user
         knows the old one.

         The root user additionally has the permission to change  the
         password  entries  for  other  user  accounts. Root can also
         delete existing entries.

         The sgepasswd binary is only available on non-Windows hosts.

    OPTIONS
         -D domain
              Per default sgepasswd will add/modify the current  Unix
              username without domain specification.  This switch can
              be used to add a domain specification in front  of  the
              current user name. Consult your Microsoft Windows docu-
              mentation to get more information about domain users.

         -d user
              Only root can use this parameter to delete entries from
              the sgepasswd(5) file.

         -help
              Prints a listing of all options.

    ENVIRONMENTAL VARIABLES
         SGE_CERTFILE   Specifies the location of  public  key  file.
                        Per  default  sgepasswd  will  use  the  file
                        $SGE_ROOT/$SGE_CELL/common/sgeCA/certs/cert.pem

         SGE_KEYFILE    If set, specifies the location of the private
                        key         file.          Default         is
                        /var/sgeCA/port${SGE_QMASTER_PORT}/${SGE_CELL}/private/key.pem

         SGE_RANDFILE   If set, specifies the location  of  the  seed
                        used  to  create  encrypted  versions of user
                        passwords.             Default             is
                        /var/sgeCA/port${SGE_QMASTER_PORT}/${SGE_CELL}/private/rand.seed

    SEE ALSO
         sge_intro(1), sgepasswd(5)

    COPYRIGHT
         See sge_intro(1) for a full statement of rights and  permis-
         sions.